This is a live mirror of the Perl 5 development currently hosted at https://github.com/perl/perl5
deprecation warning on deprecated-in-core .pl libs
authorZefram <zefram@fysh.org>
Sat, 17 Apr 2010 14:25:10 +0000 (15:25 +0100)
committerJesse Vincent <jesse@bestpractical.com>
Tue, 29 Jun 2010 02:30:03 +0000 (22:30 -0400)
This is a mandatory warning, not obeying -X or lexical warning bits.
To make it behave like an internal deprecation warning would be a lot
of hassle to do in pure Perl.

The warning is modelled on that supplied by deprecate.pm for
deprecated-in-core .pm libraries.  It points to the specific CPAN
distribution that contains the .pl libraries.  The CPAN version, of
course, does not generate the warning.

31 files changed:
lib/abbrev.pl
lib/assert.pl
lib/bigfloat.pl
lib/bigint.pl
lib/bigrat.pl
lib/cacheout.pl
lib/complete.pl
lib/ctime.pl
lib/dotsh.pl
lib/exceptions.pl
lib/fastcwd.pl
lib/find.pl
lib/finddepth.pl
lib/flush.pl
lib/getcwd.pl
lib/getopt.pl
lib/getopts.pl
lib/hostname.pl
lib/importenv.pl
lib/look.pl
lib/newgetopt.pl
lib/open2.pl
lib/open3.pl
lib/pwd.pl
lib/shellwords.pl
lib/stat.pl
lib/syslog.pl
lib/tainted.pl
lib/termcap.pl
lib/timelocal.pl
lib/validate.pl

index 673783e..d46321f 100644 (file)
@@ -1,3 +1,5 @@
+warn "Legacy library @{[(caller(0))[6]]} will be removed from the Perl core distribution in the next major release. Please install it from the CPAN distribution Perl4::CoreLibs. It is being used at @{[(caller)[1]]}, line @{[(caller)[2]]}.\n";
+
 ;# Usage:
 ;#     %foo = ();
 ;#     &abbrev(*foo,LIST);
index 10d2d1a..d47e006 100644 (file)
@@ -1,3 +1,5 @@
+warn "Legacy library @{[(caller(0))[6]]} will be removed from the Perl core distribution in the next major release. Please install it from the CPAN distribution Perl4::CoreLibs. It is being used at @{[(caller)[1]]}, line @{[(caller)[2]]}.\n";
+
 #
 # This library is no longer being maintained, and is included for backward
 # compatibility with Perl 4 programs which may require it.
index b526b8e..82d0f5c 100644 (file)
@@ -1,3 +1,5 @@
+warn "Legacy library @{[(caller(0))[6]]} will be removed from the Perl core distribution in the next major release. Please install it from the CPAN distribution Perl4::CoreLibs. It is being used at @{[(caller)[1]]}, line @{[(caller)[2]]}.\n";
+
 package bigfloat;
 require "bigint.pl";
 #
index 941d53d..cf915f7 100644 (file)
@@ -1,3 +1,5 @@
+warn "Legacy library @{[(caller(0))[6]]} will be removed from the Perl core distribution in the next major release. Please install it from the CPAN distribution Perl4::CoreLibs. It is being used at @{[(caller)[1]]}, line @{[(caller)[2]]}.\n";
+
 package bigint;
 #
 # This library is no longer being maintained, and is included for backward
index 6f5905f..36c283c 100644 (file)
@@ -1,3 +1,5 @@
+warn "Legacy library @{[(caller(0))[6]]} will be removed from the Perl core distribution in the next major release. Please install it from the CPAN distribution Perl4::CoreLibs. It is being used at @{[(caller)[1]]}, line @{[(caller)[2]]}.\n";
+
 package bigrat;
 require "bigint.pl";
 #
index 368e98e..a5da453 100644 (file)
@@ -1,3 +1,5 @@
+warn "Legacy library @{[(caller(0))[6]]} will be removed from the Perl core distribution in the next major release. Please install it from the CPAN distribution Perl4::CoreLibs. It is being used at @{[(caller)[1]]}, line @{[(caller)[2]]}.\n";
+
 #
 # This library is no longer being maintained, and is included for backward
 # compatibility with Perl 4 programs which may require it.
index 2fb3b33..9ed041c 100644 (file)
@@ -1,3 +1,5 @@
+warn "Legacy library @{[(caller(0))[6]]} will be removed from the Perl core distribution in the next major release. Please install it from the CPAN distribution Perl4::CoreLibs. It is being used at @{[(caller)[1]]}, line @{[(caller)[2]]}.\n";
+
 ;#
 #
 # This library is no longer being maintained, and is included for backward
index 1db90c4..aa00d00 100644 (file)
@@ -1,3 +1,5 @@
+warn "Legacy library @{[(caller(0))[6]]} will be removed from the Perl core distribution in the next major release. Please install it from the CPAN distribution Perl4::CoreLibs. It is being used at @{[(caller)[1]]}, line @{[(caller)[2]]}.\n";
+
 ;# ctime.pl is a simple Perl emulation for the well known ctime(3C) function.
 #
 # This library is no longer being maintained, and is included for backward
index 2ae88ba..92f1f4c 100644 (file)
@@ -1,3 +1,5 @@
+warn "Legacy library @{[(caller(0))[6]]} will be removed from the Perl core distribution in the next major release. Please install it from the CPAN distribution Perl4::CoreLibs. It is being used at @{[(caller)[1]]}, line @{[(caller)[2]]}.\n";
+
 #
 #   @(#)dotsh.pl                                               03/19/94
 #
index 09a4d3e..2ae8d4e 100644 (file)
@@ -1,3 +1,5 @@
+warn "Legacy library @{[(caller(0))[6]]} will be removed from the Perl core distribution in the next major release. Please install it from the CPAN distribution Perl4::CoreLibs. It is being used at @{[(caller)[1]]}, line @{[(caller)[2]]}.\n";
+
 # exceptions.pl
 # tchrist@convex.com
 #
index 34b60f7..70007a1 100644 (file)
@@ -1,3 +1,5 @@
+warn "Legacy library @{[(caller(0))[6]]} will be removed from the Perl core distribution in the next major release. Please install it from the CPAN distribution Perl4::CoreLibs. It is being used at @{[(caller)[1]]}, line @{[(caller)[2]]}.\n";
+
 # By John Bazik
 #
 # This library is no longer being maintained, and is included for backward
index f79decf..8e1b42c 100644 (file)
@@ -1,3 +1,5 @@
+warn "Legacy library @{[(caller(0))[6]]} will be removed from the Perl core distribution in the next major release. Please install it from the CPAN distribution Perl4::CoreLibs. It is being used at @{[(caller)[1]]}, line @{[(caller)[2]]}.\n";
+
 # This library is deprecated and unmaintained. It is included for
 # compatibility with Perl 4 scripts which may use it, but it will be
 # removed in a future version of Perl. Please use the File::Find module
index 331247a..479905f 100644 (file)
@@ -1,3 +1,5 @@
+warn "Legacy library @{[(caller(0))[6]]} will be removed from the Perl core distribution in the next major release. Please install it from the CPAN distribution Perl4::CoreLibs. It is being used at @{[(caller)[1]]}, line @{[(caller)[2]]}.\n";
+
 # This library is deprecated and unmaintained. It is included for
 # compatibility with Perl 4 scripts which may use it, but it will be
 # removed in a future version of Perl. Please use the File::Find module
index e621ff0..c427976 100644 (file)
@@ -1,3 +1,5 @@
+warn "Legacy library @{[(caller(0))[6]]} will be removed from the Perl core distribution in the next major release. Please install it from the CPAN distribution Perl4::CoreLibs. It is being used at @{[(caller)[1]]}, line @{[(caller)[2]]}.\n";
+
 #
 # This library is no longer being maintained, and is included for backward
 # compatibility with Perl 4 programs which may require it.
index 1c6b761..77b2442 100644 (file)
@@ -1,3 +1,5 @@
+warn "Legacy library @{[(caller(0))[6]]} will be removed from the Perl core distribution in the next major release. Please install it from the CPAN distribution Perl4::CoreLibs. It is being used at @{[(caller)[1]]}, line @{[(caller)[2]]}.\n";
+
 # By Brandon S. Allbery
 #
 # This library is no longer being maintained, and is included for backward
index 2c05b2b..1d4008a 100644 (file)
@@ -1,3 +1,5 @@
+warn "Legacy library @{[(caller(0))[6]]} will be removed from the Perl core distribution in the next major release. Please install it from the CPAN distribution Perl4::CoreLibs. It is being used at @{[(caller)[1]]}, line @{[(caller)[2]]}.\n";
+
 ;# $RCSfile: getopt.pl,v $$Revision: 4.1 $$Date: 92/08/07 18:23:58 $
 #
 # This library is no longer being maintained, and is included for backward
index 928bb22..37ecb4a 100644 (file)
@@ -1,3 +1,5 @@
+warn "Legacy library @{[(caller(0))[6]]} will be removed from the Perl core distribution in the next major release. Please install it from the CPAN distribution Perl4::CoreLibs. It is being used at @{[(caller)[1]]}, line @{[(caller)[2]]}.\n";
+
 ;# getopts.pl - a better getopt.pl
 #
 # This library is no longer being maintained, and is included for backward
index 33907c6..f57375e 100644 (file)
@@ -1,3 +1,5 @@
+warn "Legacy library @{[(caller(0))[6]]} will be removed from the Perl core distribution in the next major release. Please install it from the CPAN distribution Perl4::CoreLibs. It is being used at @{[(caller)[1]]}, line @{[(caller)[2]]}.\n";
+
 # From: asherman@fmrco.com (Aaron Sherman)
 #
 # This library is no longer being maintained, and is included for backward
index 865a226..625edf6 100644 (file)
@@ -1,3 +1,5 @@
+warn "Legacy library @{[(caller(0))[6]]} will be removed from the Perl core distribution in the next major release. Please install it from the CPAN distribution Perl4::CoreLibs. It is being used at @{[(caller)[1]]}, line @{[(caller)[2]]}.\n";
+
 # This library is no longer being maintained, and is included for backward
 # compatibility with Perl 4 programs which may require it.
 # This legacy library is deprecated and will be removed in a future
index f2a4e09..7be55b2 100644 (file)
@@ -1,3 +1,5 @@
+warn "Legacy library @{[(caller(0))[6]]} will be removed from the Perl core distribution in the next major release. Please install it from the CPAN distribution Perl4::CoreLibs. It is being used at @{[(caller)[1]]}, line @{[(caller)[2]]}.\n";
+
 ;# Usage: &look(*FILEHANDLE,$key,$dict,$fold)
 #
 # This library is no longer being maintained, and is included for backward
index d6d8b0b..7ac684f 100644 (file)
@@ -1,3 +1,5 @@
+warn "Legacy library @{[(caller(0))[6]]} will be removed from the Perl core distribution in the next major release. Please install it from the CPAN distribution Perl4::CoreLibs. It is being used at @{[(caller)[1]]}, line @{[(caller)[2]]}.\n";
+
 # $Id: newgetopt.pl,v 1.18 2001/09/21 13:34:59 jv Exp $
 
 # This library is no longer being maintained, and is included for backward
index 96d80d7..ceb5653 100644 (file)
@@ -1,3 +1,5 @@
+warn "Legacy library @{[(caller(0))[6]]} will be removed from the Perl core distribution in the next major release. Please install it from the CPAN distribution Perl4::CoreLibs. It is being used at @{[(caller)[1]]}, line @{[(caller)[2]]}.\n";
+
 # This legacy library is deprecated and will be removed in a future
 # release of perl.
 #
index 9a387eb..9f4d5a4 100644 (file)
@@ -1,3 +1,5 @@
+warn "Legacy library @{[(caller(0))[6]]} will be removed from the Perl core distribution in the next major release. Please install it from the CPAN distribution Perl4::CoreLibs. It is being used at @{[(caller)[1]]}, line @{[(caller)[2]]}.\n";
+
 # This legacy library is deprecated and will be removed in a future
 # release of perl.
 #
index 68b59fc..bd8123b 100644 (file)
@@ -1,3 +1,5 @@
+warn "Legacy library @{[(caller(0))[6]]} will be removed from the Perl core distribution in the next major release. Please install it from the CPAN distribution Perl4::CoreLibs. It is being used at @{[(caller)[1]]}, line @{[(caller)[2]]}.\n";
+
 ;# pwd.pl - keeps track of current working directory in PWD environment var
 ;#
 #
index b24ce96..b562f5f 100644 (file)
@@ -1,3 +1,5 @@
+warn "Legacy library @{[(caller(0))[6]]} will be removed from the Perl core distribution in the next major release. Please install it from the CPAN distribution Perl4::CoreLibs. It is being used at @{[(caller)[1]]}, line @{[(caller)[2]]}.\n";
+
 ;# This legacy library is deprecated and will be removed in a future
 ;# release of perl.
 ;#
index d73e410..feda273 100644 (file)
@@ -1,3 +1,5 @@
+warn "Legacy library @{[(caller(0))[6]]} will be removed from the Perl core distribution in the next major release. Please install it from the CPAN distribution Perl4::CoreLibs. It is being used at @{[(caller)[1]]}, line @{[(caller)[2]]}.\n";
+
 ;# This legacy library is deprecated and will be removed in a future
 ;# release of perl.
 ;#
index f0dbb1c..7504a5d 100644 (file)
@@ -1,3 +1,5 @@
+warn "Legacy library @{[(caller(0))[6]]} will be removed from the Perl core distribution in the next major release. Please install it from the CPAN distribution Perl4::CoreLibs. It is being used at @{[(caller)[1]]}, line @{[(caller)[2]]}.\n";
+
 #
 # syslog.pl
 #
index a3a560f..e88bca1 100644 (file)
@@ -1,3 +1,5 @@
+warn "Legacy library @{[(caller(0))[6]]} will be removed from the Perl core distribution in the next major release. Please install it from the CPAN distribution Perl4::CoreLibs. It is being used at @{[(caller)[1]]}, line @{[(caller)[2]]}.\n";
+
 # This legacy library is deprecated and will be removed in a future
 # release of perl.
 # This subroutine returns true if its argument is tainted, false otherwise.
index 4c029d3..a84cba3 100644 (file)
@@ -1,3 +1,5 @@
+warn "Legacy library @{[(caller(0))[6]]} will be removed from the Perl core distribution in the next major release. Please install it from the CPAN distribution Perl4::CoreLibs. It is being used at @{[(caller)[1]]}, line @{[(caller)[2]]}.\n";
+
 ;# $RCSfile: termcap.pl,v $$Revision: 4.1 $$Date: 92/08/07 18:24:16 $
 #
 # This library is no longer being maintained, and is included for backward
index 5e08dad..fefb9da 100644 (file)
@@ -1,3 +1,5 @@
+warn "Legacy library @{[(caller(0))[6]]} will be removed from the Perl core distribution in the next major release. Please install it from the CPAN distribution Perl4::CoreLibs. It is being used at @{[(caller)[1]]}, line @{[(caller)[2]]}.\n";
+
 ;# timelocal.pl
 ;#
 ;# Usage:
index c655872..fc2d16a 100644 (file)
@@ -1,3 +1,5 @@
+warn "Legacy library @{[(caller(0))[6]]} will be removed from the Perl core distribution in the next major release. Please install it from the CPAN distribution Perl4::CoreLibs. It is being used at @{[(caller)[1]]}, line @{[(caller)[2]]}.\n";
+
 ;# The validate routine takes a single multiline string consisting of
 ;# lines containing a filename plus a file test to try on it.  (The
 ;# file test may also be a 'cd', causing subsequent relative filenames